# Uses of Class
org.eclipse.draw2d.geometry.PrecisionPoint

Packages that use PrecisionPoint
Package
Description
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.

## Uses of PrecisionPoint in org.eclipse.draw2d.geometry

Methods in org.eclipse.draw2d.geometry that return PrecisionPoint
Modifier and Type
Method
Description
`PrecisionPoint`
PrecisionPoint.`getPreciseCopy()`
Returns a precise copy of this.
`PrecisionPoint`
PrecisionPoint.`setPreciseLocation(double x, double y)`
Sets the precise location of this PrecisionPoint to the given x and y values.
`PrecisionPoint`
PrecisionPoint.`setPreciseLocation(PrecisionPoint p)`
Sets the precise location of this PrecisionPoint to the x and y values of the given one.
`PrecisionPoint`
PrecisionPoint.`setPreciseX(double x)`
Sets the precise x value of this PrecisionPoint to the given value.
`PrecisionPoint`
PrecisionPoint.`setPreciseY(double y)`
Sets the precise y value of this PrecisionPoint to the given value.
`PrecisionPoint`
Vector.`toPoint()`
Returns a point representation of this Vector.
Methods in org.eclipse.draw2d.geometry with parameters of type PrecisionPoint
Modifier and Type
Method
Description
`PrecisionPoint`
PrecisionPoint.`setPreciseLocation(PrecisionPoint p)`
Sets the precise location of this PrecisionPoint to the x and y values of the given one.
`PrecisionRectangle`
PrecisionRectangle.`setPreciseLocation(PrecisionPoint loc)`
Sets the precise location of this PrecisionRectangle
Constructors in org.eclipse.draw2d.geometry with parameters of type PrecisionPoint
Modifier
Constructor
Description
``
`Straight(PrecisionPoint point1, PrecisionPoint point2)`
Constructs a new Straight between the two given Points.
``
`Vector(PrecisionPoint p)`
Constructs a Vector pointed in the direction specified by a PrecisionPoint.
``
`Vector(PrecisionPoint start, PrecisionPoint end)`
Constructs a Vector representing the direction and magnitude between to provided PrecisionPoint.